Bug 492211 (CVE-2009-1169) - CVE-2009-1169 Firefox XSLT memory corruption issue
Summary: CVE-2009-1169 Firefox XSLT memory corruption issue
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1169
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20090325,impact=critical,repor...
Depends On: 492213 492214 492215 492216 492217 492236 492237
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-25 22:13 UTC by Mark J. Cox
Modified: 2019-06-08 12:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 16:31:55 UTC


Attachments (Terms of Use)
PoC posted on milw0rm (599 bytes, application/x-gzip)
2009-03-26 03:56 UTC, Vincent Danen
no flags Details
crashtest posted on bugzilla.mozilla.org (1.48 KB, application/octet-stream)
2009-03-26 03:58 UTC, Vincent Danen
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0397 normal SHIPPED_LIVE Critical: firefox security update 2009-03-27 23:35:33 UTC
Red Hat Product Errata RHSA-2009:0398 normal SHIPPED_LIVE Critical: seamonkey security update 2009-03-27 23:23:39 UTC

Comment 4 Vincent Danen 2009-03-26 03:55:13 UTC
A memory corruption flaw was discovered in how Mozilla Firefox handles XML files containing an XSLT transform.  A remote attacker could use this flaw to crash Firefox or, potentially, execute arbitary code with the privileges of the user running Firefox.

A proof-of-concept was made public earlier today: http://milw0rm.com/exploits/8285

Comment 5 Vincent Danen 2009-03-26 03:56:14 UTC
Created attachment 336748 [details]
PoC posted on milw0rm

Comment 6 Vincent Danen 2009-03-26 03:58:33 UTC
Created attachment 336749 [details]
crashtest posted on bugzilla.mozilla.org

The upstream bug is this: https://bugzilla.mozilla.org/show_bug.cgi?id=485217

Comment 8 Tomas Hoger 2009-03-27 17:07:46 UTC
Mitre CVE description:

CVE-2009-1169:
The txMozillaXSLTProcessor::TransformToDoc function in Mozilla Firefox
3.0.7 and earlier allows remote attackers to cause a denial of service
(crash) via an XML file with a crafted XSLT transform.

Comment 9 Josh Bressers 2009-03-27 23:04:26 UTC
This is now public:
http://www.mozilla.org/security/announce/2009/mfsa2009-12.html

Comment 10 errata-xmlrpc 2009-03-27 23:23:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 2.1
  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:0398 https://rhn.redhat.com/errata/RHSA-2009-0398.html

Comment 11 errata-xmlrpc 2009-03-27 23:35:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0397 https://rhn.redhat.com/errata/RHSA-2009-0397.html

Comment 12 Fedora Update System 2009-03-30 17:23:36 UTC
seamonkey-1.1.15-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-03-31 20:29:38 UTC
seamonkey-1.1.15-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-03-31 20:38:06 UTC
seamonkey-1.1.15-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.